%global upstream_name gunicorn

Name:           python-%{upstream_name}
Version:        20.0.4
Release:        %mkrel 1
Summary:        Python WSGI application server

Group:          Development/Python
License:        MIT
URL:            http://gunicorn.org/
Source0:        https://pypi.io/packages/source/g/%{upstream_name}/%{upstream_name}-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  pkgconfig(python3)
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(nose)
BuildRequires:  python3dist(pytest) >= 2.8.3
BuildRequires:  python3dist(pytest-cov)
BuildRequires:  python3dist(mock)

%description
Gunicorn ("Green Unicorn") is a Python WSGI HTTP server for UNIX. It uses the
pre-fork worker model, ported from Ruby's Unicorn project. It supports WSGI,
Django, and Paster applications.

%package -n python3-%{upstream_name}
Summary:        Python3 WSGI application server
Group:          Development/Python
Obsoletes:      python2-%{upstream_name} < 19.9.0-2

%description -n python3-%{upstream_name}
Gunicorn ("Green Unicorn") is a Python3 WSGI HTTP server for UNIX. It uses the
pre-fork worker model, ported from Ruby's Unicorn project. It supports WSGI,
Django, and Paster applications.

%prep
%setup -q -n %{upstream_name}-%{version}

# Tests requires a precise 2.8.3
perl -pi -e 's/pytest==2.8.3/pytest>=2.8.3/' requirements_test.txt
perl -pi -e 's/pytest-cov==1.7.0/pytest-cov>=1.7.0/' requirements_test.txt

%build
%py3_build

%install
%py3_install

# symlink extra executable names
ln -sr %{buildroot}%{_bindir}/%{upstream_name} %{buildroot}%{_bindir}/%{upstream_name}-3
ln -sr %{buildroot}%{_bindir}/%{upstream_name} %{buildroot}%{_bindir}/%{upstream_name}-%{python3_version}

%check
%if 0
%{__python3} setup.py test
%endif

%files -n python3-%{upstream_name}
%doc LICENSE NOTICE README.rst THANKS
%{python3_sitelib}/%{upstream_name}*
%{_bindir}/%{upstream_name}
%{_bindir}/%{upstream_name}-3*


%changelog
* Mon Aug 24 2020 bcornec <bcornec> 20.0.4-1.mga8
+ Revision: 1618471
- Update to upstream python-gunicorn 20.0.4

* Fri May 15 2020 ngompa <ngompa> 19.9.0-5.mga8
+ Revision: 1583810
- Add versioned executable names

* Sun Feb 16 2020 umeabot <umeabot> 19.9.0-4.mga8
+ Revision: 1532727
- Mageia 8 Mass Rebuild

* Tue Sep 17 2019 tv <tv> 19.9.0-3.mga8
+ Revision: 1442919
- rebuild for python-3.8

* Fri Aug 30 2019 wally <wally> 19.9.0-2.mga8
+ Revision: 1435656
- drop python2 support

* Sat Jan 12 2019 shlomif <shlomif> 19.9.0-1.mga7
+ Revision: 1355377
- Rebuild for python3 3.7
+ tv <tv>
- rebuild with python 3.7

* Thu Sep 20 2018 umeabot <umeabot> 19.6.0-6.mga7
+ Revision: 1288931
- Mageia 7 Mass Rebuild

* Tue May 08 2018 daviddavid <daviddavid> 19.6.0-5.mga7
+ Revision: 1227703
- rename python-gunicorn to python2-gunicorn
- add BR pytest-cov
- use new python provides

* Wed Oct 04 2017 tv <tv> 19.6.0-4.mga7
+ Revision: 1168844
- add BR on python2dist(mock) thus fixing build

* Sat Aug 05 2017 pterjan <pterjan> 19.6.0-3.mga7
+ Revision: 1135444
- Rebuild for python 3.6

* Sun Jan 08 2017 daviddavid <daviddavid> 19.6.0-2.mga6
+ Revision: 1080669
- rebuild against python(3)-pytest
- use new pyton macros

* Mon Jan 02 2017 bcornec <bcornec> 19.6.0-1.mga6
+ Revision: 1079643
- update to upstream python-gunicorn 19.6.0

* Fri Feb 19 2016 umeabot <umeabot> 19.1.1-7.mga6
+ Revision: 970881
- Mageia 6 Mass Rebuild

* Sat Oct 10 2015 tv <tv> 19.1.1-6.mga6
+ Revision: 888795
- rebuild for python 3.5

* Wed Oct 15 2014 umeabot <umeabot> 19.1.1-5.mga5
+ Revision: 743177
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 19.1.1-4.mga5
+ Revision: 728711
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 19.1.1-3.mga5
+ Revision: 688070
- Mageia 5 Mass Rebuild

* Wed Sep 10 2014 bcornec <bcornec> 19.1.1-2.mga5
+ Revision: 674525
- Forgot to bump the rel tag for previous modifs.
- Adds support for python2 build for gunicorn to easy docker-io-registry build

* Wed Sep 03 2014 bcornec <bcornec> 19.1.1-1.mga5
+ Revision: 671196
- Fix Group: entry in spec file to be Mageia compliant
- Update sha1.lst
- Import python-gunicorn from Fedora with Mageia adaptations
- Created package structure for python-gunicorn.

